local hit_effects = require("__base__.prototypes.entity.hit-effects")

local down_bin_sign = {
  filename = "__quality-down-binning__/graphics/icons/down-bin-sign.png",
  priority = "extra-high",
  size = 64,
  scale = 0.25,
  shift = { -0.25, -0.30 }
}

for _, quality in pairs(data.raw["quality"]) do
  if not quality.hidden then
    data:extend({{
      type = "container",
      name = "down-binner-" .. quality.name,
      localised_name = {"entity-name.down-binner", {"quality-name." .. quality.name}},
      icon = "__base__/graphics/icons/steel-chest.png",
      flags = { "hide-alt-info", "placeable-neutral", "player-creation" },
      minable = { mining_time = 0.2, result = "down-binner-" .. quality.name },
      max_health = 350,
      corpse = "steel-chest-remnants",
      dying_explosion = "steel-chest-explosion",
      open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume = 0.43 },
      close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.43 },
      resistances = {
        {
          type = "fire",
          percent = 90
        },
        {
          type = "impact",
          percent = 60
        }
      },
      collision_box = { { -0.35, -0.35 }, { 0.35, 0.35 } },
      selection_box = { { -0.5, -0.5 }, { 0.5, 0.5 } },
      damaged_trigger_effect = hit_effects.entity(),
      inventory_size = 48,
      impact_category = "metal",
      icon_draw_specification = { scale = 0.7 },
      picture = {
        layers = {
          {
            filename = "__base__/graphics/entity/steel-chest/steel-chest.png",
            priority = "extra-high",
            width = 64,
            height = 80,
            shift = util.by_pixel(-0.25, -0.5),
            scale = 0.5
          },
          {
            filename = "__base__/graphics/entity/steel-chest/steel-chest-shadow.png",
            priority = "extra-high",
            width = 110,
            height = 46,
            shift = util.by_pixel(12.25, 8),
            draw_as_shadow = true,
            scale = 0.5
          },
          down_bin_sign,
          {
            filename = assert(quality.icon),
            priority = "extra-high",
            size = 64,
            scale = 0.25,
            shift = { 0.25, -0.30 }
          }
        }
      },
      circuit_connector = circuit_connector_definitions["chest"],
      circuit_wire_max_distance = default_circuit_wire_max_distance
    }})
  end
end
