local item_sounds = require("__base__.prototypes.item_sounds")

local steel_chest_icon = {
  icon = "__base__/graphics/icons/steel-chest.png",
  icon_size = 64
}

local down_bin_sign = {
  icon = "__quality-down-binning__/graphics/icons/down-bin-sign.png",
  icon_size = 64,
  scale = 0.25,
  shift = { -8, -8 }
}

for _, quality in pairs(data.raw["quality"]) do
  if not quality.hidden then
    data:extend({{
      type = "item",
      name = "down-binner-" .. quality.name,
      icons = {
        steel_chest_icon,
        down_bin_sign,
        {
          icon = assert(quality.icon),
          icon_size = 64,
          scale = 0.25,
          shift = { 8, -8 }
        }
      },
      subgroup = "storage",
      order = "z" .. quality.order,
      inventory_move_sound = item_sounds.nuclear_inventory_move,
      pick_sound = item_sounds.metal_chest_inventory_pickup,
      drop_sound = item_sounds.metal_chest_inventory_move,
      place_result = "down-binner-" .. quality.name,
      stack_size = 50
    }})
  end
end
